%global __libtoolize :
%global install_info /sbin/install-info
%global remove_install_info /sbin/install-info --delete

Summary: GNU libraries and utilities for producing multi-lingual messages.
Name: gettext

%global momorel 5
Version: 0.17
Release: %{momorel}m%{?dist}
License: GPLv3
Group: Development/Tools
URL: http://www.gnu.org/directory/gettext.html

Source0: ftp://ftp.gnu.org/pub/gnu/gettext/gettext-%{version}.tar.gz 
NoSource: 0
Source1: po-mode-init.el
Source2: msghack.py
Patch2: gettext-0.15-expat.patch
Patch3: gettext-0.16.1-fix-gcjm4-bug.patch
Patch4: gettext-0.17-gl_AC_TYPE_LONG_LONG.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
%ifarch x86_64 ppc64 s390x
BuildRequires: automake, autoconf
%endif
BuildRequires: libtool, bison, gcc-c++, gcc-java,  byacc, info
BuildRequires: libgcj >= 4.1.1-19m
%ifnarch ppc64 alpha sparc64
BuildRequires: mono-devel >= 1.2.5.2
%endif
BuildPrereq: expat-devel

Obsoletes: %{name}-java

%description
The GNU gettext package provides a set of tools and documentation for
producing multi-lingual messages in programs. Tools include a set of
conventions about how programs should be written to support message
catalogs, a directory and file naming organization for the message
catalogs, a runtime library which supports the retrieval of translated
messages, and stand-alone programs for handling the translatable and
the already translated strings. Gettext provides an easy to use
library and tools for creating, using, and modifying natural language
catalogs and is a powerful and simple method for internationalizing
programs.

%package	devel
Summary:	Development files for %{name}
Group:      	Development/Tools
License:	LGPL
Requires:	%{name} = %{version}-%{release}
Requires:	cvs
Provides:	devel(libintl)
Prereq:		/sbin/install-info

%description	devel
This package contains all development related files necessary for
developing or compiling applications/libraries that needs
internationalization capability. You also need this package if you
want to add gettext support for your project.

%ifnarch ppc64 alpha sparc64
%package        sharp
Summary:	.Net files for %{name}
Group:      	Development/Tools
License:	LGPL
Requires:	%{name} = %{version}-%{release}

%description	sharp
gettext for .Net
%endif

%prep
rm -rf --preserve-root %{buildroot}
%setup -q
%patch2 -p1 -b .expat
%patch3 -p1 -b .gcjm4bug~
%patch4 -p1 -b .longlong

%build
autoreconf -vfi
export GCJ=gcj
export GCJFLAGS=-findirect-dispatch
%configure --without-included-gettext --enable-nls \
    --enable-shared --with-pic-=yes --enable-java --enable-native-java\
%ifnarch ppc64 alpha sparc64
    --enable-csharp=mono
%endif
%make

%install
rm -rf --preserve-root %{buildroot}

# Fix busted no-emacs install for $lispdir/po-mode.el
make install DESTDIR=%{buildroot}

mkdir -p %{buildroot}/bin
mv %{buildroot}/%{_bindir}/gettext %{buildroot}/bin
ln -s ../../bin/gettext %{buildroot}/%{_bindir}/gettext
install -m 755 %SOURCE2 %{buildroot}/%{_bindir}/msghack

pushd %{buildroot}
rm -f .%{_infodir}/dir .%{_includedir}/libintl.h
popd

mkdir -p %{buildroot}/usr/share/emacs/site-lisp/site-start.d
install -m 644 %{SOURCE1} %{buildroot}/usr/share/emacs/site-lisp/site-start.d

# remove unpackaged files from the buildroot
rm -rf %{buildroot}/usr/doc
rm -rf %{buildroot}%{_datadir}/emacs
rm -f %{buildroot}%{_datadir}/locale/locale.alias
rm -rf %{buildroot}%{_libdir}/preloadable_libintl.so
#rm -f %{buildroot}%{_includedir}/autosprintf.h
#rm -f %{buildroot}%{_includedir}/gettext-po.h

# gcj does not work ?
rm -f %{buildroot}/%{_datadir}/%{name}/libintl.jar

find %{buildroot} -name "*.la" -delete

%clean
rm -rf --preserve-root %{buildroot}

%post
/sbin/install-info %{_infodir}/gettext.info.* %{_infodir}/dir

%preun
if [ "$1" = 0 ]; then
  /sbin/install-info --delete %{_infodir}/gettext.info.* %{_infodir}/dir
fi
exit 0

%postun
/sbin/ldconfig


%post devel
/sbin/ldconfig
%{install_info} %{_infodir}/autosprintf.info %{_infodir}/dir

%preun devel
if [ "$1" = 0 ]; then
    %{remove_install_info} %{_infodir}/autosprintf.info %{_infodir}/dir
fi

%postun devel
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc gettext-runtime/ABOUT-NLS AUTHORS gettext-runtime/BUGS
%doc COPYING gettext-tools/misc/DISCLAIM README
%doc NEWS THANKS 
%doc gettext-runtime/man/*.1.html
%doc gettext-runtime/intl/COPYING*
/bin/%{name}
%{_bindir}/*
%exclude %{_bindir}/gettextize
%exclude %{_bindir}/autopoint

%{_libdir}/libgettextlib*.so
%{_libdir}/libgettextsrc*.so
%{_infodir}/gettext*
%{_mandir}/man1/*
%{_datadir}/doc/libasprintf/autosprintf_all.html
%exclude %{_mandir}/man1/gettextize.1.*
%exclude %{_mandir}/man1/autopoint.1.*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/hostname
%{_libdir}/%{name}/project-id
%{_libdir}/%{name}/urlget
%{_libdir}/%{name}/user-email
%{_datadir}/locale/*/*/*

%files devel
%defattr(-,root,root)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/projects
%dir %{_datadir}/%{name}/styles
%{_bindir}/gettextize
%{_bindir}/autopoint
%{_datadir}/%{name}/ABOUT-NLS
%{_datadir}/%{name}/projects/*
%{_datadir}/%{name}/styles/*
%{_datadir}/%{name}/archive.tar.gz
%{_datadir}/%{name}/config.rpath
%{_datadir}/%{name}/*.h
%{_datadir}/%{name}/intl
#%{_datadir}/%{name}/mkinstalldirs
%{_datadir}/%{name}/po
%{_datadir}/%{name}/msgunfmt.tcl
%{_datadir}/aclocal/*
%{_includedir}/*
%{_infodir}/autosprintf*
%{_libdir}/lib*.a
%{_libdir}/libasprintf.so*
%{_libdir}/libgettextpo.so*
%{_mandir}/man1/gettextize.1.*
%{_mandir}/man1/autopoint.1.*
%{_mandir}/man3/*
#%{_datadir}/%{name}/libintl.jar
%{_datadir}/%{name}/javaversion.class
%doc gettext-runtime/intl-java/javadoc*
%{_libdir}/%{name}/gnu.gettext.*

%{_datadir}/doc/%{name}

%ifnarch ppc64 alpha sparc64
%files sharp
%defattr(-,root,root)
%{_libdir}/GNU.Gettext.dll
%{_libdir}/gettext/msgfmt.net.exe
%{_libdir}/gettext/msgunfmt.net.exe
%endif

%changelog
* Sun Jun  8 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.17-5m)
- delete Requires: cvs from gettext (needed by gettext-devel)

* Tue Apr 29 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.17-4m)
- release directories provided by new filesystem

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.17-3m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.17-2m)
- %%NoSource -> NoSource

* Sun Nov 18 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.17-1m)
- update to 0.17
- add patch4
-- gettext-0.17 delete gl_AC_TYPE_LONG_LONG macro
-- but use in gettex-0.17/gettext-runtime/libasprintf/configure.ac

* Thu Oct 18 2007 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.16.1-2m)
- removed unused patches
- added a bug fix patch for gcj.m4
- added -findirect-dispatch for gcj to use the binary compatibility ABI

* Sat Apr 21 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.16.1-1m)
- update 0.16.1

* Mon Feb 12 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.15-9m)
- delete libtool library

* Sun Jan  7 2007 Dai OKUYAMA <dai@ouchi.nahi.to>
- (0.15-8m)
- disable mono for ppc64, alpha, sparc64

* Mon Oct 30 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.15-7m)
- delete another conflict files (fix %%files)

* Mon Oct 30 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.15-6m)
- delete conflict files (fix %%files)

* Sat Oct 21 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.15-5m)
- use autoconf-2.60, automake-1.10

* Mon Oct  9 2006 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.15-4m)
- rebuild against libgcj-4.1.1-19m.

* Sun Sep 24 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.15-3m)
- delete libintl.jar (good-by java-sun-j2se1.5-sdk)

* Sat Sep 23 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.15-2m)
- add BuildPrereq: java-sun-j2se1.5-sdk

* Wed Sep 20 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.15-1m)
- update to 0.15
-- add patch2 (does not use dlopen for expat)
-- add patch3 (for autoconf-2.59, doc_DATA)

* Sat Sep  2 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.14.5-5m)
- add gettext-sharp package

* Sun May 07 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.14.5-5m)
- java -> devel subpackage

* Sun Feb 19 2006 Kazuhiko <kazuhiko@fdiary.net>
- (0.14.5-4m)
- rebuild against gcc-4.1

* Tue Jan 31 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.14.5-3m)
- --disable-csharp

* Mon Jan  2 2006 Kazuhiko <kazuhiko@fdiary.net>
- (0.14.5-2m)
- rebuild against gcc-java-4.1.0

* Sun Dec 25 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (0.14.5-1m)
- update 0.14.5

* Sat Oct 29 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.14.1-3m)
- build against python-2.4.2

* Wed Dec  8 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.14.1-2m)
- make gettext-java sub-package

* Tue Nov 30 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (0.14.1-1m)
- updated to 1.14.1

* Mon Apr  5 2004 Toru Hoshina <t@momonga-linux.org>
- (0.12.1-3m)
- too much removed. sumaso.

* Sat Mar 20 2004 Toru Hoshina <t@momonga-linux.org>
- (0.12.1-2m)
- revised spec for enabling rpm 4.2.

* Wed Nov 05 2003 Kenta MURATA <muraken2@nifty.com>
- (0.12.1-1m)
- version up.

* Mon Apr 28 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.11.5-1m)
- update to 0.11.5
- import patch from rawhide(gettext-0.11.4-7)
   Patch11: gettext-0.11.4-gettextize.patch
- disable patch4
- remove Patch12: gettext-0.10.35-charset.patch which is included in 1.11.5
- remove Patch13: gettext-0.10.40-autoconf253.patch which is included in 1.11.5
- include man files

* Sun Mar  9 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.10.40-15m)
- add URL tag

* Sat Nov  9 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.10.40-14m)
- add patch for autoconf-2.53

* Thu May 30 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (0.10.40-12k)
- cancel gcc-3.1 autoconf-2.53

* Fri May 24 2002 Toru Hoshina <t@kondara.org>
- (0.10.40-10k)
- autoconf 2.53...

* Tue Apr 30 2002 Kenta MURATA <muraken@kondara.org>
- (0.10.40-8k)
- /sbin/install-info -> info in PreReq.

* Wed Feb 20 2002 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>    
- (0.10.40-6k)                      
- add BuildPreReq: autoconf >= 2.52-8k, automake >= 1.5-8k

* Wed Jan  9 2002 Shingo Akagaki <dora@kondara.org>
- (0.10.40-4k)
- automake autoconf 1.5

* Tue Oct 16 2001 Motonobu Ichimura <famao@kondara.org>
- (0.10.40-3k)
- up to 0.10.40

* Wed Aug 22 2001 KUSUNOKI Masanori <nori@kondara.org>
- update to 0.10.39
- rebuild against gcc-3.0.1

* Tue May 22 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- gettext-0.10.35.tar.bz2 -> gettext-0.10.35.tar.gz

* Wed Oct 25 2000 Daiki Matsuda <dyky@df-usa.com>
- modifiled %post and %preun section from .gz to .bz2

* Fri Aug 04 2000 Akira Higuchi <a@kondara.org>
- msgfmt: output "" entry even if it is fuzzy
- removed iconv patch which is not needed for glibc-2.2

* Wed Jul 05 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.

* Sat May 20 2000 Akira Higuchi <a@kondara.org>
- apply iconv if needed

* Thu Apr 06 2000 Takaaki Tabuchi <tab@kondara.org>
- merge redhat-6.2 (0.10.35-17).

* Sun Mar 12 2000 Hidetomo Machi <mcHT@kondara.org>
- add "PreReq: /sbin/install-info"
- add %doc
- po-mode.el is under /usr/doc/gettext-version/

* Sun Feb 27 2000 Cristian Gafton <gafton@redhat.com>
- add --comments to msghack

* Thu Feb 10 2000 Cristian Gafton <gafton@redhat.com>
- fix bug #9240 - gettextize has the right aclocal patch

* Wed Jan 12 2000 Cristian Gafton <gafton@redhat.com>
- add the --diff and --dummy options

* Sat Jan  1 2000 Akira Higuchi <a@kondara.org>
- merged rawhide updates
- removed gettext-0.10.35-message2 patch. added nowrap patch

* Mon Nov 8 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Wed Oct 06 1999 Cristian Gafton <gafton@redhat.com>
- add the --missing option to msghack

* Wed Sep 22 1999 Cristian Gafton <gafton@redhat.com>
- updated msghack not to merge in fuzzies in the master catalogs

* Sat Sep 18 1999 Norihito Ohmori <ohmori@flatout.org>
- update ja.po

-* Tue Sep 14 1999 Jun Nishii <jun@flatout.org>
- use message.c.diff-2

* Thu Aug 26 1999 Cristian Gafton <gafton@redhat.com>
- updated msghack to understand --append

* Wed Aug 11 1999 Cristian Gafton <gafton@redhat.com>
- updated msghack to correctly deal with sorting files

* Tue Jun 29 1999 Norihito Ohmori <ohmori@flatout.org>
- added multibyte patch for msgmerge

* Sun Jun 27 1999 Norihito Ohmori <ohmori@flatout.org>
- ja locale support from JaPO Project

* Thu May 06 1999 Cristian Gafton <gafton@redhat.com>
- msghack updates

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 8)

* Mon Mar 08 1999 Cristian Gafton <gafton@redhat.com>
- added patch for misc hacks to facilitate rpm translations

* Thu Dec 03 1998 Cristian Gafton <gafton@redhat.com>
- patch to allow to build on ARM

* Wed Sep 30 1998 Jeff Johnson <jbj@redhat.com>
- add Emacs po-mode.el files.

* Sun Sep 13 1998 Cristian Gafton <gafton@redhat.com>
- include the aclocal support files

* Fri Sep  3 1998 Bill Nottingham <notting@redhat.com>
- remove devel package (functionality is in glibc)

* Tue Sep  1 1998 Jeff Johnson <jbj@redhat.com>
- update to 0.10.35.

* Mon Jun 29 1998 Jeff Johnson <jbj@redhat.com>
- add gettextize.
- create devel package for libintl.a and libgettext.h.

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sun Nov 02 1997 Cristian Gafton <gafton@redhat.com>
- added info handling
- added misc-patch (skip emacs-lisp modofications)

* Sat Nov 01 1997 Erik Troan <ewt@redhat.com>
- removed locale.aliases as we get it from glibc now
- uses a buildroot

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- Built against glibc
